PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_dgessm | ( | int | M,
|  | int | N,
|  | int | K,
|  | int | IB,
|  | const int * | IPIV,
|  | const double * | L,
|  | int | LDL,
|  | double * | A,
|  | int | LDA
| ) |  |

CORE_dgessm applies the factors L computed by CORE_dgetrf_incpiv to a complex M-by-N tile A.

Parameters

  [in] | M | The number of rows of the tile A. M >= 0.
  [in] | N | The number of columns of the tile A. N >= 0.
  [in] | K | The number of columns of the tile L. K >= 0.
  [in] | IB | The inner-blocking size. IB >= 0.
  [in] | IPIV | The pivot indices array of size K as returned by CORE_dgetrf_incpiv.
  [in] | L | The M-by-K lower triangular tile.
  [in] | LDL | The leading dimension of the array L. LDL >= max(1,M).
  [in,out] | A | On entry, the M-by-N tile A. On exit, updated by the application of L.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value